/*
Navicat PGSQL Data Transfer

Source Server         : telnet
Source Server Version : 101600
Source Host           : localhost:5432
Source Database       : wgcloud
Source Schema         : public

Target Server Type    : PGSQL
Target Server Version : 101600
File Encoding         : 65001

Date: 2021-12-22 14:13:37
*/


-- ----------------------------
-- Table structure for app_info
-- ----------------------------
DROP TABLE IF EXISTS APP_INFO;
CREATE TABLE APP_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
APP_PID varchar(200) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
APP_NAME varchar(50) COLLATE "default",
CPU_PER float8,
MEM_PER float8,
APP_TYPE char(1) COLLATE "default",
STATE char(1) COLLATE "default",
ACTIVE char(1) COLLATE "default",
READ_BYTES varchar(20) COLLATE "default",
WRITES_BYTES varchar(20) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for app_state
-- ----------------------------
DROP TABLE IF EXISTS APP_STATE;
CREATE TABLE APP_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
APP_INFO_ID varchar(32) COLLATE "default",
CPU_PER float8,
MEM_PER float8,
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for cpu_state
-- ----------------------------
DROP TABLE IF EXISTS CPU_STATE;
CREATE TABLE CPU_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
USER_PER varchar(30) COLLATE "default",
SYS float8,
IDLE float8,
IOWAIT float8,
IRQ varchar(30) COLLATE "default",
SOFT varchar(30) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for cpu_temperatures
-- ----------------------------
DROP TABLE IF EXISTS CPU_TEMPERATURES;
CREATE TABLE CPU_TEMPERATURES (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
CORE_INDEX varchar(50) COLLATE "default",
CRIT varchar(10) COLLATE "default",
INPUT varchar(10) COLLATE "default",
MAX varchar(10) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for db_info
-- ----------------------------
DROP TABLE IF EXISTS DB_INFO;
CREATE TABLE DB_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
DBTYPE varchar(32) COLLATE "default",
USER_NAME varchar(50) COLLATE "default",
PASSWD varchar(50) COLLATE "default",
DBURL varchar(500) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
DB_STATE char(1) COLLATE "default",
ALIAS_NAME varchar(50) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for db_table
-- ----------------------------
DROP TABLE IF EXISTS DB_TABLE;
CREATE TABLE DB_TABLE (
ID varchar(32) COLLATE "default" NOT NULL,
TABLE_NAME varchar(50) COLLATE "default",
WHERE_VAL varchar(500) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
REMARK varchar(50) COLLATE "default",
TABLE_COUNT int8,
DBINFO_ID varchar(32) COLLATE "default",
ACTIVE char(1) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for db_table_count
-- ----------------------------
DROP TABLE IF EXISTS DB_TABLE_COUNT;
CREATE TABLE DB_TABLE_COUNT (
ID varchar(32) COLLATE "default" NOT NULL,
DB_TABLE_ID varchar(32) COLLATE "default",
TABLE_COUNT int8,
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for dce_info
-- ----------------------------
DROP TABLE IF EXISTS DCE_INFO;
CREATE TABLE DCE_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
ACTIVE char(1) COLLATE "default",
RES_TIMES int4,
REMARK varchar(50) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for dce_state
-- ----------------------------
DROP TABLE IF EXISTS DCE_STATE;
CREATE TABLE DCE_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
DCE_ID varchar(32) COLLATE "default",
RES_TIMES int4,
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for desk_io
-- ----------------------------
DROP TABLE IF EXISTS DESK_IO;
CREATE TABLE DESK_IO (
ID varchar(32) COLLATE "default" NOT NULL,
FILE_STSTEM varchar(200) COLLATE "default",
READ_COUNT varchar(20) COLLATE "default",
WRITE_OUNT varchar(20) COLLATE "default",
READ_BYTES varchar(20) COLLATE "default",
WRITE_BYTES varchar(20) COLLATE "default",
READ_TIME varchar(20) COLLATE "default",
WRITE_TIME varchar(20) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
HOST_NAME varchar(50) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for desk_state
-- ----------------------------
DROP TABLE IF EXISTS DESK_STATE;
CREATE TABLE DESK_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
FILE_STSTEM varchar(200) COLLATE "default",
SIZE varchar(30) COLLATE "default",
USED varchar(30) COLLATE "default",
AVAIL varchar(30) COLLATE "default",
USE_PER varchar(10) COLLATE "default",
DATE_STR varchar(30) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for disk_smart
-- ----------------------------
DROP TABLE IF EXISTS DISK_SMART;
CREATE TABLE DISK_SMART (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
FILE_STSTEM varchar(255) COLLATE "default",
DISK_STATE varchar(50) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for docker_info
-- ----------------------------
DROP TABLE IF EXISTS DOCKER_INFO;
CREATE TABLE DOCKER_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
DOCKER_ID varchar(100) COLLATE "default",
DOCKER_NAME varchar(100) COLLATE "default",
SYSTEM_TIME varchar(20) COLLATE "default",
MEM_PER float8,
STATE char(1) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
USER_TIME varchar(20) COLLATE "default",
ACTIVE char(1) COLLATE "default",
APP_TYPE char(1) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for docker_state
-- ----------------------------
DROP TABLE IF EXISTS DOCKER_STATE;
CREATE TABLE DOCKER_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
DOCKER_INFO_ID varchar(32) COLLATE "default",
CPU_PER float8,
MEM_PER float8,
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for equipment
-- ----------------------------
DROP TABLE IF EXISTS EQUIPMENT;
CREATE TABLE EQUIPMENT (
ID varchar(32) COLLATE "default" NOT NULL,
NAME varchar(50) COLLATE "default",
XINGHAO varchar(50) COLLATE "default",
PERSON varchar(50) COLLATE "default",
DEPT varchar(50) COLLATE "default",
CODE varchar(50) COLLATE "default",
PRICE float8,
GONGYINGSHANG varchar(50) COLLATE "default",
CAIGOU_DATE varchar(50) COLLATE "default",
REMARK varchar(255) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for FILE_SAFE
-- ----------------------------
DROP TABLE IF EXISTS FILE_SAFE;
CREATE TABLE FILE_SAFE (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
FILE_NAME varchar(50) COLLATE "default",
STATE char(1) COLLATE "default",
FILE_PATH varchar(255) COLLATE "default",
ACTIVE char(1) COLLATE "default",
FILE_SIGN varchar(50) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for file_warn
-- ----------------------------
DROP TABLE IF EXISTS FILE_WARN;
CREATE TABLE file_warn (
ID varchar(32) COLLATE "default" NOT NULL,
FILE_PATH varchar(255) COLLATE "default",
FILE_SIZE varchar(32) COLLATE "default",
WARN_CHARS varchar(500) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
WARN_ROWS varchar(20) COLLATE "default",
HOST_NAME varchar(50) COLLATE "default",
REMARK varchar(255) COLLATE "default",
ACTIVE char(1) COLLATE "default",
FILE_NAME_PREFIX varchar(30) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for file_warn_state
-- ----------------------------
DROP TABLE IF EXISTS FILE_WARN_STATE;
CREATE TABLE FILE_WARN_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
WAR_CONTENT text COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
FILE_WARN_ID varchar(32) COLLATE "default",
FILE_PATH varchar(255) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for heath_monitor
-- ----------------------------
DROP TABLE IF EXISTS HEATH_MONITOR;
CREATE TABLE HEATH_MONITOR (
ID varchar(32) COLLATE "default" NOT NULL,
APP_NAME char(50) COLLATE "default",
HEATH_URL varchar(255) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
HEATH_STATUS varchar(10) COLLATE "default",
RES_TIMES int4,
ACTIVE char(1) COLLATE "default",
RES_KEYWORD varchar(255) COLLATE "default",
METHOD varchar(5) COLLATE "default",
POST_STR varchar(500) COLLATE "default",
RES_NO_KEYWORD varchar(255) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for heath_state
-- ----------------------------
DROP TABLE IF EXISTS HEATH_STATE;
CREATE TABLE HEATH_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
HEATH_ID varchar(32) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
RES_TIMES int4
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for HOST_DISK_PER
-- ----------------------------
DROP TABLE IF EXISTS HOST_DISK_PER;
CREATE TABLE HOST_DISK_PER (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
DISK_SUM_PER float8,
CREATE_TIME timestamp(6)
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for host_group
-- ----------------------------
DROP TABLE IF EXISTS HOST_GROUP;
CREATE TABLE HOST_GROUP (
ID varchar(32) COLLATE "default" NOT NULL,
GROUP_NAME varchar(30) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
REMARK varchar(255) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for intrusion_info
-- ----------------------------
DROP TABLE IF EXISTS INTRUSION_INFO;
CREATE TABLE INTRUSION_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME char(30) COLLATE "default",
LSMOD text COLLATE "default",
PASSWD_INFO varchar(100) COLLATE "default",
CRONTAB text COLLATE "default",
PROMISC varchar(100) COLLATE "default",
RPCINFO text COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for log_info
-- ----------------------------
DROP TABLE IF EXISTS LOG_INFO;
CREATE TABLE LOG_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(200) COLLATE "default",
INFO_CONTENT text COLLATE "default",
STATE char(1) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT CURRENT_TIMESTAMP NOT NULL
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for mail_set
-- ----------------------------
DROP TABLE IF EXISTS MAIL_SET;
CREATE TABLE MAIL_SET (
ID varchar(32) COLLATE "default" NOT NULL,
SEND_MAIL varchar(60) COLLATE "default",
FROM_MAIL_NAME varchar(60) COLLATE "default",
FROM_PWD varchar(30) COLLATE "default",
SMTP_HOST varchar(50) COLLATE "default",
SMTP_PORT varchar(30) COLLATE "default",
SMTP_SSL varchar(30) COLLATE "default",
TO_MAIL varchar(300) COLLATE "default",
CPU_PER varchar(30) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
MEM_PER varchar(30) COLLATE "default",
HEATH_PER varchar(30) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for mem_state
-- ----------------------------
DROP TABLE IF EXISTS MEM_STATE;
CREATE TABLE MEM_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
TOTAL varchar(30) COLLATE "default",
USED varchar(30) COLLATE "default",
FREE varchar(30) COLLATE "default",
USE_PER float8,
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for netio_state
-- ----------------------------
DROP TABLE IF EXISTS NETIO_STATE;
CREATE TABLE NETIO_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
RXPCK varchar(30) COLLATE "default",
TXPCK varchar(30) COLLATE "default",
RXBYT varchar(30) COLLATE "default",
TXBYT varchar(30) COLLATE "default",
DROPIN varchar(30) COLLATE "default",
DROPOUT varchar(30) COLLATE "default",
NET_CONNECTIONS varchar(20) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for port_info
-- ----------------------------
DROP TABLE IF EXISTS PORT_INFO;
CREATE TABLE PORT_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
PORT varchar(30) COLLATE "default",
PORT_NAME varchar(30) COLLATE "default",
STATE char(1) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
HOST_NAME varchar(50) COLLATE "default",
ACTIVE char(1) COLLATE "default"
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for SHELL_INFO
-- ----------------------------
DROP TABLE IF EXISTS SHELL_INFO;
CREATE TABLE SHELL_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
SHELL_NAME varchar(50) COLLATE "default",
SHELL varchar(500) COLLATE "default",
STATE char(1) COLLATE "default",
CREATE_TIME timestamp(6)
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for SHELL_STATE
-- ----------------------------
DROP TABLE IF EXISTS SHELL_STATE;
CREATE TABLE SHELL_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
SHELL_ID varchar(32) COLLATE "default",
HOST_NAME varchar(50) COLLATE "default",
STATE varchar(500) COLLATE "default",
SHELL varchar(500) COLLATE "default",
CREATE_TIME timestamp(6)
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for sys_load_state
-- ----------------------------
DROP TABLE IF EXISTS SYS_LOAD_STATE;
CREATE TABLE SYS_LOAD_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
ONE_LOAD numeric(18,2),
FIVE_LOAD numeric(18,2),
FIFTEEN_LOAD numeric(18,2),
USERS varchar(10) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for system_info
-- ----------------------------
DROP TABLE IF EXISTS SYSTEM_INFO;
CREATE TABLE SYSTEM_INFO (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(50) COLLATE "default",
PLATFORM varchar(200) COLLATE "default",
CPU_PER float8,
MEM_PER float8,
CPU_CORE_NUM varchar(10) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone,
CPU_XH varchar(150) COLLATE "default",
STATE char(1) COLLATE "default",
BOOT_TIME int8,
PROCS varchar(11) COLLATE "default",
PLATFORM_VERSION varchar(100) COLLATE "default",
UPTIME int8,
GROUP_ID varchar(32) COLLATE "default",
REMARK varchar(100) COLLATE "default",
TOTAL_MEM varchar(50) COLLATE "default",
SUBMIT_SECONDS varchar(10) COLLATE "default",
AGENT_VER varchar(50) COLLATE "default",
BYTES_RECV varchar(20) COLLATE "default",
RXBYT varchar(30) COLLATE "default",
TXBYT varchar(30) COLLATE "default",
WIN_CONSOLE varchar(255) COLLATE "default",
BYTES_SENT varchar(20) COLLATE "default",
HOST_NAME_EXT varchar(100) COLLATE "default",
NET_CONNECTIONS varchar(20) COLLATE "default",
FIVE_LOAD float8,
FIFTEEN_LOAD float8
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Table structure for tcp_state
-- ----------------------------
DROP TABLE IF EXISTS TCP_STATE;
CREATE TABLE TCP_STATE (
ID varchar(32) COLLATE "default" NOT NULL,
HOST_NAME varchar(30) COLLATE "default",
ACTIVE varchar(30) COLLATE "default",
PASSIVE varchar(30) COLLATE "default",
RETRANS varchar(30) COLLATE "default",
DATE_STR varchar(30) COLLATE "default",
CREATE_TIME timestamp(0) DEFAULT NULL::timestamp without time zone
)
WITH (OIDS=FALSE);

-- ----------------------------
-- Alter Sequences Owned By 
-- ----------------------------

-- ----------------------------
-- Primary Key structure for table app_info
-- ----------------------------
ALTER TABLE APP_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table app_state
-- ----------------------------
CREATE INDEX APP_STAT_INDEX ON APP_STATE USING btree (APP_INFO_ID, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table app_state
-- ----------------------------
ALTER TABLE APP_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table cpu_state
-- ----------------------------
CREATE INDEX CPU_ACC_HOST_INDEX ON CPU_STATE USING btree (HOST_NAME, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table cpu_state
-- ----------------------------
ALTER TABLE CPU_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table cpu_temperatures
-- ----------------------------
CREATE INDEX CPU_TEMPER_INDEX ON CPU_TEMPERATURES USING btree (HOST_NAME);

-- ----------------------------
-- Primary Key structure for table cpu_temperatures
-- ----------------------------
ALTER TABLE CPU_TEMPERATURES ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table db_info
-- ----------------------------
ALTER TABLE DB_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table db_table
-- ----------------------------
ALTER TABLE DB_TABLE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table db_table_count
-- ----------------------------
CREATE INDEX DBTABLE_ID_CREATE_TIME ON DB_TABLE_COUNT USING btree (DB_TABLE_ID, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table db_table_count
-- ----------------------------
ALTER TABLE DB_TABLE_COUNT ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table dce_info
-- ----------------------------
ALTER TABLE DCE_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table dce_state
-- ----------------------------
ALTER TABLE DCE_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table desk_io
-- ----------------------------
CREATE INDEX DISO_IO_HOST_INDEX ON DESK_IO USING btree (HOST_NAME);

-- ----------------------------
-- Primary Key structure for table desk_io
-- ----------------------------
ALTER TABLE DESK_IO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table desk_state
-- ----------------------------
CREATE INDEX DESK_ACC_HOST_INDEX ON DESK_STATE USING btree (HOST_NAME, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table desk_state
-- ----------------------------
ALTER TABLE DESK_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table disk_smart
-- ----------------------------
ALTER TABLE DISK_SMART ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table docker_info
-- ----------------------------
ALTER TABLE DOCKER_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table docker_state
-- ----------------------------
CREATE INDEX DOCKER_STATE_INDEX ON DOCKER_STATE USING btree (DOCKER_INFO_ID, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table docker_state
-- ----------------------------
ALTER TABLE DOCKER_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table equipment
-- ----------------------------
ALTER TABLE EQUIPMENT ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table FILE_SAFE
-- ----------------------------
ALTER TABLE FILE_SAFE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table file_warn
-- ----------------------------
ALTER TABLE FILE_WARN ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table file_warn_state
-- ----------------------------
CREATE INDEX FILE_WARN_ID_INDEX ON FILE_WARN_STATE USING btree (FILE_WARN_ID);

-- ----------------------------
-- Primary Key structure for table file_warn_state
-- ----------------------------
ALTER TABLE FILE_WARN_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table heath_monitor
-- ----------------------------
ALTER TABLE HEATH_MONITOR ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table heath_state
-- ----------------------------
CREATE INDEX HEATH_ID_CREATE_TIME ON HEATH_STATE USING btree (HEATH_ID, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table heath_state
-- ----------------------------
ALTER TABLE HEATH_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table HOST_DISK_PER
-- ----------------------------
ALTER TABLE HOST_DISK_PER ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table host_group
-- ----------------------------
ALTER TABLE HOST_GROUP ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table intrusion_info
-- ----------------------------
ALTER TABLE INTRUSION_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table log_info
-- ----------------------------
ALTER TABLE LOG_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table mail_set
-- ----------------------------
ALTER TABLE MAIL_SET ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table mem_state
-- ----------------------------
CREATE INDEX MEM_ACC_HOST_INDEX ON MEM_STATE USING btree (HOST_NAME, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table mem_state
-- ----------------------------
ALTER TABLE MEM_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table netio_state
-- ----------------------------
CREATE INDEX NETIO_ACC_HOST_INDEX ON NETIO_STATE USING btree (HOST_NAME, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table netio_state
-- ----------------------------
ALTER TABLE NETIO_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table port_info
-- ----------------------------
CREATE INDEX PORT_HOST_NAME_INDEX ON PORT_INFO USING btree (HOST_NAME);

-- ----------------------------
-- Primary Key structure for table port_info
-- ----------------------------
ALTER TABLE PORT_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table SHELL_INFO
-- ----------------------------
ALTER TABLE SHELL_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table SHELL_STATE
-- ----------------------------
ALTER TABLE SHELL_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table sys_load_state
-- ----------------------------
CREATE INDEX LOAD_ACC_HOST_INDEX ON SYS_LOAD_STATE USING btree (HOST_NAME, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table sys_load_state
-- ----------------------------
ALTER TABLE SYS_LOAD_STATE ADD PRIMARY KEY (ID);

-- ----------------------------
-- Primary Key structure for table system_info
-- ----------------------------
ALTER TABLE SYSTEM_INFO ADD PRIMARY KEY (ID);

-- ----------------------------
-- Indexes structure for table tcp_state
-- ----------------------------
CREATE INDEX TCP_ACC_HOST_INDEX ON TCP_STATE USING btree (HOST_NAME, CREATE_TIME);

-- ----------------------------
-- Primary Key structure for table tcp_state
-- ----------------------------
ALTER TABLE TCP_STATE ADD PRIMARY KEY (ID);
